/*******************************************************************************
 * Copyright (c) 2003-2004 Berthold Daum.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     Berthold Daum
 *******************************************************************************/
package com.bdaum.SpellChecker.JavaProperties;

import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.ui.plugin.AbstractUIPlugin;

import com.bdaum.SpellChecker.preferences.SpellCheckerPreferences;

/**
 * The main plug-in class
 */
public class JavaPropertiesPlugin extends AbstractUIPlugin {
	// The shared instance
	private static JavaPropertiesPlugin plugin;

	/**
	 * The constructor
	 */
	public JavaPropertiesPlugin() {
		super();
		plugin = this;
	}

	/**
	 * Returns the shared instance
	 */
	public static JavaPropertiesPlugin getDefault() {
		return plugin;
	}

	/**
	 * Initialize PreferenceStore
	 */
	protected void initializeDefaultPluginPreferences() {
		IPreferenceStore store = getPreferenceStore();
		SpellCheckerPreferences preferences = new JavaPropertiesPreferences();
		preferences.initializeDefaults(store);
	}
}