/*******************************************************************************
 * Copyright (c) 2003 Berthold Daum. All rights reserved. This program and the
 * accompanying materials are made available under the terms of the Common
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors: Berthold Daum
 ******************************************************************************/
package com.bdaum.SpellChecker.actions;

import org.eclipse.jface.action.Action;
import com.bdaum.SpellChecker.views.SpellCorrectionView;

public class CorrectionViewAction extends Action {

	public static final int DOUBLECLICK = 0;

	public static final int REPLACE = 1;

	public static final int REPLACEALL = 2;

	public static final int IGNORE = 3;

	public static final int IGNOREALL = 4;

	public static final int ADD = 5;

	public static final int CANCEL = 6;

	private SpellCorrectionView view;

	private int operation;

	public CorrectionViewAction(SpellCorrectionView view, int operation) {
		this.view = view;
		this.operation = operation;
	}

	/*
	 * Perform action
	 */
	public void run() {
		view.performOperation(operation);
	}
}